	let mainfname = Tex_GetMainFileName(':p')
	wincmd n
	exec 'silent! e '.mainfname

	if search('\\\(no\)\?bibliography{', 'w')

		call Tex_Debug('Tex_FindBibFiles: found bibliography command in '.bufname('%'), 'view')

		" extract the bibliography filenames from the command.
		let bibnames = matchstr(getline('.'), '\\\(no\)\?bibliography{\zs.\{-}\ze}')
		let bibnames = substitute(bibnames, '\s', '', 'g')

		call Tex_Debug(':Tex_FindBibFiles: trying to search through ['.bibnames.']', 'view')

		let bibfiles = ''
		let i = 1
	"	while 1
			let bibname = Tex_Strntok(bibnames, ',', i)
	"		if bibname == ''
	"			break
	"		endif
			let fname = Tex_FindFile(bibname, '.,'.g:Tex_BIBINPUTS, '.bib')
	"		if fname != ''
	"			let bibfiles = bibfiles.fname."\n"
	"		endif
	"		let i = i + 1
	"	endwhile

		call Tex_Debug(":Tex_FindBibFiles: returning [".bibfiles."]", "view")

	endif

